# Types: list

**Caution:** This is a **deprecated** version of the Deployment Manager API. Please use the [latest API version](https://docs.cloud.google.com/deployment-manager/latest) instead.


**Requires [authorization](https://docs.cloud.google.com/deployment-manager/v2beta2/types/list#auth)**

Lists all resource types for Deployment Manager.
[Try it now](https://docs.cloud.google.com/deployment-manager/v2beta2/types/list#try-it).

## Request

### HTTP request

```
GET https://www.googleapis.com/deploymentmanager/v2beta2/projects/project/global/types
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `project` | `string` | The project ID for this request. |
| **Optional query parameters** |||
| `filter` | `string` | Sets a filter expression for filtering listed resources, in the form `filter={expression}`. Your `{expression}` must be in the format: `field_name comparison_string literal_string`. <br /> The `field_name` is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The `comparison_string` must be either `eq` (equals) or `ne` (not equals). The `literal_string` is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using [RE2](https://github.com/google/re2) syntax. The literal value must match the entire field. <br /> For example, `filter=name ne example-instance`. <br /> **Compute Engine Beta API Only:** If you use filtering in the [Beta API](https://docs.cloud.google.com/compute/docs/reference/beta), you can also filter on nested fields. For example, you could filter on instances that have set the `scheduling.automaticRestart` field to `true`. In particular, use filtering on nested fields to take advantage of [instance labels](https://docs.cloud.google.com/compute/docs/instances#instance_labels) to organize and filter results based on label values. <br /> The Beta API also supports filtering on multiple expressions by providing each separate expression within parentheses. For example, `(scheduling.automaticRestart eq true) (zone eq us-central1-f)`. Multiple expressions are treated as `AND` expressions meaning that resources must match all expressions to pass the filters. |
| `maxResults` | `unsigned integer` | The maximum number of results per page that should be returned. If the number of available results is larger than `maxResults`, Compute Engine returns a `nextPageToken` that can be used to get the next page of results in subsequent list requests. Acceptable values are `0` to `500`, inclusive. (Default: `500`) |
| `pageToken` | `string` | Specifies a page token to use. Set `pageToken` to the `nextPageToken` returned by a previous list request to get the next page of results. |

### Authorization

This request requires authorization with at least one of the following scopes ([read more about authentication and authorization](https://docs.cloud.google.com/deployment-manager/docs/reference/latest/authorization)).

| Scope |
|---|
| `https://www.googleapis.com/auth/ndev.cloudman.readonly` |
| `https://www.googleapis.com/auth/cloud-platform` |
| `https://www.googleapis.com/auth/ndev.cloudman` |
| `https://www.googleapis.com/auth/cloud-platform.read-only` |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "types": [
    types Resource
  ],
  "nextPageToken": string
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `types[]` | `list` | \[Output Only\] A list of resource types supported by Deployment Manager. |   |
| `nextPageToken` | `string` | A token used to continue a truncated list request. |   |

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.
Alternatively, try the
[standalone
Explorer](https://developers.google.com/apis-explorer/#p/deploymentmanager/v2beta2/deploymentmanager.types.list).